Docker Error: Service ‘web’ failed to build

I am trying to run a dockerfile in windows but it keeps giving me this error at the end:

PS C:UsersjohnsOneDrivedocumentsGitHubsidewalkwebpage> make dev
projectsidewalk-db is up-to-date
Starting projectsidewalk-db ... done                                                                                    Building web
Step 1/9 : FROM openjdk:8-jdk-stretch
 ---> f8146facf376
Step 2/9 : RUN curl -sL https://deb.nodesource.com/setup_10.x | bash - &&   apt-get install -y nodejs
 ---> Using cache
 ---> 65f47a0f2d08
Step 3/9 : RUN echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list &&   apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823 &&   apt-get update
 ---> Running in f3292ea974b2
deb https://dl.bintray.com/sbt/debian /
Warning: apt-key output should not be parsed (stdout is not a terminal)
Executing: /tmp/apt-key-gpghome.cud26XM4pL/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823
gpg: keyserver receive failed: Server indicated a failure
ERROR: Service 'web' failed to build: The command '/bin/sh -c echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list &&   apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823 &&   apt-get update' returned a non-zero code: 2
make: *** [docker-run] Error 1

Any solutions would be helpful! I read that the warning that the apt-key being parsed doesn’t cause any errors, it’s just shown. The line about the keyserver receive failed seems to be the main error point.

Here is my dockerfile:

FROM openjdk:8-jdk-stretch

RUN curl -sL https://deb.nodesource.com/setup_10.x | bash - && 
  apt-get install -y nodejs

RUN echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list && 
  apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823 && 
  apt-get update

RUN apt-get install -y 
    unzip 
    python-dev 
    python-pip 
    libblas-dev 
    liblapack-dev 
    gfortran 
    python-numpy 
    python-pandas 
    sbt && 
  apt-get autoremove && 
  apt-get clean

WORKDIR /opt

COPY package.json ./
COPY requirements.txt ./

RUN pip install --upgrade setuptools && 
  pip install -r requirements.txt

RUN npm install

Source: StackOverflow